diff -ruN -x config.h.in -x missing -x depcomp -x install-sh -x config.guess -x config.sub -x configure -x 'aclocal*' -x Makefile.in -x ltmain.sh -x 'BUILD*' -x 'autom4te*' -x CVS -x'.#*' -x'.hg*' cvs/multidimgrid_any.cpp lmi-editor/multidimgrid_any.cpp
--- cvs/multidimgrid_any.cpp	2008-01-25 21:20:00.000000000 +0100
+++ lmi-editor/multidimgrid_any.cpp	2008-02-08 14:57:58.000000000 +0100
@@ -1147,6 +1300,19 @@
     DoSetGridAxisSelection();
 }
 
+unsigned int MultiDimGrid::EnsureIndexIsPositive(int row_or_col) const
+{
+    if(row_or_col < 0)
+        {
+        fatal_error()
+            << "Negative row or column index "
+            << row_or_col
+            << LMI_FLUSH
+            ;
+        }
+    return static_cast<unsigned int>(row_or_col);
+}
+
 /// MultiDimAxisAnyChoice methods implementation
 /// --------------------------------------------
 BEGIN_EVENT_TABLE(MultiDimAxisAnyChoice, wxChoice)
@@ -1214,7 +1380,8 @@
         {
         fatal_error()
             << "The axis is inconsistent with its choice control."
-            << LMI_FLUSH;
+            << LMI_FLUSH
+            ;
         }
 
     GetGrid().FixAxisValue(axis_.GetName(), axis_.GetValue(sel));
